//**********************************************************************
//
//	ghost-medieval_soc.shader for Q3 by Sims edited by Ghost
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

textures/ghost-medieval_soc/light1_3k_flicker
{
	qer_editorimage textures/ghost-medieval_soc/light1.tga
	q3map_lightImage textures/ghost-medieval_soc/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave triangle 0 .7 .25 4
	}
}

textures/ghost-medieval_soc/light1_3k_noise_fast
{
	qer_editorimage textures/ghost-medieval_soc/light1.tga
	q3map_lightImage textures/ghost-medieval_soc/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise .25 .7 0 3
	}
}

textures/ghost-medieval_soc/light1_3k_noise_slow
{
	qer_editorimage textures/ghost-medieval_soc/light1.tga
	q3map_lightImage textures/ghost-medieval_soc/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave triangle noise .5 1 .25
	}
}

textures/ghost-medieval_soc/light2_3k_flicker
{
	qer_editorimage textures/ghost-medieval_soc/light2.tga
	q3map_lightImage textures/ghost-medieval_soc/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave triangle 0 .7 .25 4
	}
}

textures/ghost-medieval_soc/light2_3k_noise_fast
{
	qer_editorimage textures/ghost-medieval_soc/light2.tga
	q3map_lightImage textures/ghost-medieval_soc/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise .25 .7 0 3
	}
}

textures/ghost-medieval_soc/light2_3k_noise_slow
{
	qer_editorimage textures/ghost-medieval_soc/light2.tga
	q3map_lightImage textures/ghost-medieval_soc/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ghost-medieval_soc/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise .5 1 .25 2
	}
}

textures/ghost-medieval_soc/rain
{
	qer_editorimage textures/ghost-medieval_soc/e7rain.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	//deformVertexes move 3 1 0  sin 0 5 0 0.2
	//deformVertexes move .6 3.3 0  sin 0 5 0 0.4
	//deformVertexes wave 30 sin 0 10 0 .2
	cull none
	{
		map textures/ghost-medieval_soc/e7rain.tga
		tcMod Scroll .5 -7
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
    	}
	{
		map textures/ghost-medieval_soc/e7rain.tga
		tcMod Scroll -.5 -8
		tcmod Scale 1.1  1.2
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 .25 0 .65
	}
	{
		map textures/ghost-medieval_soc/e7rain.tga
		tcMod Scroll .2 -6.3
		tcmod Scale 0.95  1.5
  		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 .25 0 .75
	}
}

textures/ghost-medieval_soc/lmcity_clouds
{
	qer_editorimage env/lmcity/lmcity_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 30
	q3map_sun 1 1 1 70 0 90      
        skyparms env/lmcity/lmcity - -
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}

	{
		map textures/ghost-medieval_soc/lightning.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 5 
		tcMod scale 0.32 0.32
		tcMod rotate 20
	}
}

textures/ghost-medieval_soc/tab_fogwater_gfx_fall
{
    qer_editorimage textures/tabq1dm5/tab_water_ripple1.tga
    qer_trans .5
    
    q3map_noTJunc
    q3map_noClip
    q3map_globaltexture
    q3map_lightmapBrightness 5
    q3map_cloneShader textures/tabq1dm5/tab_fogwater_gfx_back       // remove lightmap for bottom view
    
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    
    { 
        map textures/tabq1dm5/tab_water_ripple1.tga
        blendFunc blend
        alphaGen const 0.1
        tcmod scale 0.8 0.8
        tcmod turb 0.3 0.02 0.4 0.2
        tcmod scroll -.5 0
    }
    {
        map textures/tabq1dm5/tab_water_ripple2.tga
        blendFunc blend
        alphaGen const 0.1
        tcmod scale 0.8 0.8
        tcmod turb 0.3 0.02 0.9 0.2
        tcmod scroll -.5 0
    }
    { 
        map textures/tabq1dm5/tab_water_surface.tga
        rgbGen identity
        blendFunc blend
        alphaGen const 0.2
        tcmod scale 1.5 1.5
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/ghost-medieval_soc/ter_mossdirt
{
	qer_editorimage textures/ghost-medieval_soc/ter_mossdirt.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/terrain_soc/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_dirt1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ghost-medieval_soc/ter_dirtmud
{
	qer_editorimage textures/ghost-medieval_soc/ter_dirtmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/terrain_soc/ter_dirt1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ghost-medieval_soc/ter_moss1wall
{
	qer_editorimage textures/ghost-medieval_soc/ter_moss1wall.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/ter_moss1wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ghost-medieval_soc/rock_grey2moss1
{
	qer_editorimage textures/ghost-medieval_soc/rock_grey2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/terrain_soc/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_moss1wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ghost-medieval_soc/rock_grey2
{
	qer_editorimage textures/ghost-medieval_soc/rock_grey2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ghost-medieval_soc/ter_mossmud
{
	qer_editorimage textures/ghost-medieval_soc/ter_mossmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/terrain_soc/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}