textures/yotoon/nice
{
	qer_editorimage textures/yotoon/nice.tga
	
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
    nopicmip
	
	{
		map textures/yotoon/nice.tga
        blendFunc blend
		alphaGen vertex
    }
}

textures/yotoon/cretebase_trans
{
	qer_editorimage textures/yotoon/cretebase.jpg
	
	//surfaceparm nomarks
	surfaceparm noimpact
	//surfaceparm trans
	
	{
		map textures/yotoon/cretebase.jpg
	}
}

textures/yotoon/cretebase5_trans
{
	qer_editorimage textures/yotoon/cretebase5.jpg
	
	//surfaceparm nomarks
	surfaceparm noimpact
	//surfaceparm trans
	
	{
		map textures/yotoon/cretebase5.jpg
	}
}

// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/yotoon/sky
{
	qer_editorimage textures/yotoon/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 150 -35 25 2 12
	
	q3map_lightRGB 0.9 0.96 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 60 3
	
	//surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/yotoon/env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/yotoon/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/yotoon/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

// LIGHT

textures/yotoon/dawhite
{
	qer_editorimage textures/yotoon/dawhite.blend.tga
	q3map_lightimage textures/yotoon/dawhite.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dawhite.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dawhite.blend.tga
		blendfunc add
	}
}

textures/yotoon/dayellow
{
	qer_editorimage textures/yotoon/dayellow.blend.tga
	q3map_lightimage textures/yotoon/dayellow.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dayellow.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dayellow.blend.tga
		blendfunc add
	}
}

textures/yotoon/daorange
{
	qer_editorimage textures/yotoon/daorange.blend.tga
	q3map_lightimage textures/yotoon/daorange.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/daorange.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/daorange.blend.tga
		blendfunc add
	}
}

textures/yotoon/dared
{
	qer_editorimage textures/yotoon/dared.blend.tga
	q3map_lightimage textures/yotoon/dared.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dared.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dared.blend.tga
		blendfunc add
	}
}

// GLASS

textures/yotoon/mrksglass
{
	qer_editorimage textures/yotoon/cosdglass.tga
 	qer_trans .5
 	surfaceparm trans
 	surfaceparm nolightmap 
	cull disable
        {
                  map textures/yotoon/cosdglass.tga
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .0 .0
                  blendfunc add
        }
}

textures/yotoon/polaris_tinxx
{   
        {
                map textures/yotoon/tin1d.tga       
                tcGen environment
                rgbGen vertex
	}  
       	{
		map textures/yotoon/polaris_tinxx.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// FADES

textures/yotoon/bas33HA_fade
{
	qer_editorimage textures/yotoon/bas33HA.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/yotoon/bas33HA.tga
		alphaGen vertex
		blendFunc blend
        }
}

textures/yotoon/cretebase_fade
{
	qer_editorimage textures/yotoon/cretebase.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/yotoon/cretebase.tga
		alphaGen vertex
		blendFunc blend
    }
}

textures/yotoon/black_fade
{
	qer_editorimage textures/yotoon/cretebase5.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/yotoon/cretebase5.tga
		alphaGen vertex
		blendFunc blend
    }
}

textures/yotoon/mrksglass_slick_fade
{
	qer_editorimage textures/yotoon/cosdglass.tga
 	qer_trans .5
 	surfaceparm trans
 	surfaceparm nolightmap 
	surfaceparm nomipmaps
	surfaceparm slick
	cull disable
	
	{
		map textures/yotoon/cosdglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc add
	}
}

textures/yotoon/snow1_fade_slick
{
	qer_editorimage textures/yotoon/snow1.jpg
	surfaceparm slick
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nomipmaps	
	
	{
		map textures/yotoon/snow1.jpg
		alphaGen vertex
		blendFunc blend
	}
}

// SKY

textures/yotoon/sky_restnormal
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunExt 1 .5 0 75 350 20 2 16
	q3map_skyLight 135 4
	qer_editorimage env/restnormal/restnormal_ft.jpg
	skyparms env/restnormal/restnormal - -
}

textures/yotoon/sun
{ 
    cull disable
	surfaceparm nonsolid	
	surfaceparm nomarks	
	surfaceparm nolightmap 
	deformVertexes autosprite
	{
		clampmap textures/yotoon/sun.jpg
		tcmod rotate 8
		blendFunc add
		rgbGen identity
	}
}

textures/yotoon/mrkssky
{
	qer_editorimage textures/yotoon/gray.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_skylight 20 3
	q3map_sun 1 1 1 30 90 90
	{
		map	textures/yotoon/gray.jpg
	}
}

// FOG

textures/yotoon/blackfog
{
	qer_editorimage textures/sfx/fog_black.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0 0 0 ) 1024
}

textures/yotoon/bluefog
{
	qer_editorimage textures/sfx/fog_blue.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0.6 0.7 1 ) 8192
}

// OTHER

textures/yotoon/snowflakes
{
	qer_editorimage textures/yotoon/snowflakes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/snowflakes.tga
		tcMod Scroll -0.3 0
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/stripes
{
	qer_editorimage textures/yotoon/stripes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/stripes.tga
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/stripes_anim
{
	qer_editorimage textures/yotoon/stripes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/stripes.tga
		tcMod Scroll -0.3 0
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/arrow
{
	qer_editorimage textures/yotoon/arrow.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/arrow.tga
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/arrow_line
{
	qer_editorimage textures/yotoon/arrow_line.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/arrow_line.tga
        blendFunc blend
		alphaGen vertex
        }
}

// oTHER

textures/yotoon/icon_rocket
{
	qer_editorimage textures/yotoon/iconw_rocket.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/iconw_rocket.tga
        blendFunc blend
		alphaGen vertex
        }
}

// PORTAL SLICK
textures/yotoon/concrete_floor1
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/concrete_floor2
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/concrete_floor3
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/snow1_slick
{
	qer_editorimage textures/yotoon/snow1.jpg
	surfaceparm slick
	
	{
		map textures/yotoon/snow1.jpg
	}
}

textures/yotoon/glass_playerclip
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
        surfaceparm playerclip	
	cull none
	qer_trans 	0.6
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_dark
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.8
     
        {
		map textures/yotoon/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_darkest
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.8
     
        {
		map textures/effects/tinfx.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_darkest_slick
{
	qer_editorimage textures/base_wall/shiny3.tga
    surfaceparm trans
	surfaceparm slick
	cull none
	qer_trans 	0.8
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc filter
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/gray_playerclip
{
	qer_editorimage textures/yotoon/gray_playerclip.tga
        surfaceparm playerclip
        {
        map	textures/yotoon/gray_playerclip.tga
	}
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/yotoon/gray_playerclip.tga
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
        } 
}

textures/yotoon/xlightgreyfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.7 0.7 0.7 ) 128
}

textures/yotoon/fog_restnormal
{
		qer_editorimage textures/yotoon/fog.jpg
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		fogparms ( .997 .985 .863 ) 1024

}

textures/yotoon/yot_portal_clean
{
	portal
	surfaceparm nolightmap
	qer_editorimage textures/common/qer_portal.tga

	{
		map textures/yotoon/yot_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	
	{
		
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}

// PUKKA
// GREEN LIQUID

textures/yotoon/acid_lm
{
		qer_editorimage textures/yotoon/acid.tga
		qer_trans .75
		q3map_lightimage textures/yotoon/acid.tga
		qer_trans .75
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans      

		q3map_surfacelight 100
		tessSize 32
		cull disable
		deformVertexes wave 30 sin 0 3 0 .3
		deformVertexes normal .1 .15
   {
		map textures/effects/envmap2.tga
		blendfunc GL_ONE GL_ONE
		tcGen environment
   }
   {
		map textures/yotoon/bubbles.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcMod scroll .01 .01
   }
  { 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
   }
   {
		map textures/yotoon/acid.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .7 .7
		tcMod scroll .001 .001
   }


}

textures/yotoon/acid_vertex
{
	qer_editorimage textures/yotoon/acid.tga
	qer_trans .75
	q3map_lightimage textures/yotoon/acid.tga
	qer_trans .75
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 100
	tessSize 32
	cull disable
	deformVertexes normal .15 .15
	deformVertexes wave 100 sin 0 1 .5 .5


	{
		map textures/yotoon/acid.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .5 .5
	
	}
		
}

textures/yotoon/acid_bubbles1
{
	qer_editorimage textures/yotoon/twether.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 10.538234 -20.305841 64.466774 sawtooth 0 1 0.931455 1.039813
	{
		clampmap textures/yotoon/twether.jpg
		tcMod rotate 52.131718
		AlphaGen wave sawtooth 1.000000 0.000000 0.931455 1.039813
		rgbGen wave sawtooth 2.000000 -2.000000 0.931455 1.039813
		tcMod stretch sawtooth 1.000000 0.000000 0.931455 1.039813
		blendfunc add
	}
}

textures/yotoon/acid_bubbles2
{
	qer_editorimage textures/yotoon/twether.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -6.804727 -19.816284 30.435993 sawtooth 0 1 0.822443 2.003020
	{
		clampmap textures/yotoon/twether.jpg
		tcMod rotate 56.191292
		AlphaGen wave sawtooth 1.000000 0.000000 0.822443 2.003020
		rgbGen wave sawtooth 2.000000 -2.000000 0.822443 2.003020
		tcMod stretch sawtooth 1.000000 0.000000 0.822443 2.003020
		blendfunc add
	}
}

textures/yotoon/acid_bubbles3
{
	qer_editorimage textures/yotoon/twether.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.625973 0.087306 68.125160 sawtooth 0 1 0.901944 1.089908
	{
		clampmap textures/yotoon/twether.jpg
		tcMod rotate 47.076939
		AlphaGen wave sawtooth 1.000000 0.000000 0.901944 1.089908
		rgbGen wave sawtooth 2.000000 -2.000000 0.901944 1.089908
		tcMod stretch sawtooth 1.000000 0.000000 0.901944 1.089908
		blendfunc add
	}
}

textures/yotoon/acid_bubbles4
{
	qer_editorimage textures/yotoon/twether.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.615116 29.199389 44.859570 sawtooth 0 1 0.167211 1.313075
	{
		clampmap textures/yotoon/twether.jpg
		tcMod rotate 51.083408
		AlphaGen wave sawtooth 1.000000 0.000000 0.167211 1.313075
		rgbGen wave sawtooth 2.000000 -2.000000 0.167211 1.313075
		tcMod stretch sawtooth 1.000000 0.000000 0.167211 1.313075
		blendfunc add
	}
}

textures/yotoon/acid_bubbles5
{
	qer_editorimage textures/yotoon/twether.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -17.407856 7.075286 54.888248 sawtooth 0 1 0.478957 1.477682
	{
		clampmap textures/yotoon/twether.jpg
		tcMod rotate 59.930416
		AlphaGen wave sawtooth 1.000000 0.000000 0.478957 1.477682
		rgbGen wave sawtooth 2.000000 -2.000000 0.478957 1.477682
		tcMod stretch sawtooth 1.000000 0.000000 0.478957 1.477682
		blendfunc add
	}
}

textures/yotoon/hlth_bubbles1
{
	qer_editorimage textures/yotoon/hlth.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 10.538234 -20.305841 64.466774 sawtooth 0 1 0.931455 1.039813
	{
		clampmap textures/yotoon/hlth.jpg
		tcMod rotate 52.131718
		AlphaGen wave sawtooth 1.000000 0.000000 0.931455 1.039813
		rgbGen wave sawtooth 2.000000 -2.000000 0.931455 1.039813
		tcMod stretch sawtooth 1.000000 0.000000 0.931455 1.039813
		blendfunc add
	}
}

textures/yotoon/hlth_bubbles2
{
	qer_editorimage textures/yotoon/hlth.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -6.804727 -19.816284 30.435993 sawtooth 0 1 0.822443 2.003020
	{
		clampmap textures/yotoon/hlth.jpg
		tcMod rotate 56.191292
		AlphaGen wave sawtooth 1.000000 0.000000 0.822443 2.003020
		rgbGen wave sawtooth 2.000000 -2.000000 0.822443 2.003020
		tcMod stretch sawtooth 1.000000 0.000000 0.822443 2.003020
		blendfunc add
	}
}

textures/yotoon/hlth_bubbles3
{
	qer_editorimage textures/yotoon/hlth.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.625973 0.087306 68.125160 sawtooth 0 1 0.901944 1.089908
	{
		clampmap textures/yotoon/hlth.jpg
		tcMod rotate 47.076939
		AlphaGen wave sawtooth 1.000000 0.000000 0.901944 1.089908
		rgbGen wave sawtooth 2.000000 -2.000000 0.901944 1.089908
		tcMod stretch sawtooth 1.000000 0.000000 0.901944 1.089908
		blendfunc add
	}
}

textures/yotoon/hlth_bubbles4
{
	qer_editorimage textures/yotoon/hlth.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.615116 29.199389 44.859570 sawtooth 0 1 0.167211 1.313075
	{
		clampmap textures/yotoon/hlth.jpg
		tcMod rotate 51.083408
		AlphaGen wave sawtooth 1.000000 0.000000 0.167211 1.313075
		rgbGen wave sawtooth 2.000000 -2.000000 0.167211 1.313075
		tcMod stretch sawtooth 1.000000 0.000000 0.167211 1.313075
		blendfunc add
	}
}

textures/yotoon/hlth_bubbles5
{
	qer_editorimage textures/yotoon/hlth.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -17.407856 7.075286 54.888248 sawtooth 0 1 0.478957 1.477682
	{
		clampmap textures/yotoon/hlth.jpg
		tcMod rotate 59.930416
		AlphaGen wave sawtooth 1.000000 0.000000 0.478957 1.477682
		rgbGen wave sawtooth 2.000000 -2.000000 0.478957 1.477682
		tcMod stretch sawtooth 1.000000 0.000000 0.478957 1.477682
		blendfunc add
	}
}

//COOL LIGHT BEAMS

textures/yotoon/beam1
{
		sort 16
		qer_editorimage textures/yotoon/s1.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s1.jpg
		blendfunc add
	}
}

textures/yotoon/beam1_small
{
		sort 16
		qer_editorimage textures/yotoon/s1_small.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s1_small.jpg
		blendfunc add
	}
}


textures/yotoon/beam_white
{
		sort 16
		qer_editorimage textures/yotoon/s1_small-white.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s1_small-white.jpg
		blendfunc add
	}
}

textures/yotoon/beam_yellow
{
		sort 16
		qer_editorimage textures/yotoon/s1_small-yellow.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s1_small-yellow.jpg
		blendfunc add
	}
}

textures/yotoon/beam_red
{
		sort 16
		qer_editorimage textures/yotoon/s2.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s2.jpg
		blendfunc add
	}
}

textures/yotoon/beam2_small
{
		sort 16
		qer_editorimage textures/yotoon/s3_small.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
	{
		clampmap textures/yotoon/s3_small.jpg
		blendfunc add
	}
}

// DARK SKY

textures/yotoon/dark_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nopicmip
	
	q3map_noFog
	q3map_lightmapFilterRadius 0 8		
	q3map_sunExt .9 .95 .85 20 335 25 3 32
   	q3map_skylight 20 3
 
	qer_editorimage textures/yotoon/clouds.tga
	skyparms env/dark_sky/darksky 768 -

	{
		map textures/yotoon/clouds.tga
		tcMod scale 2 2 
		tcMod scroll 0.085 0.035
		rgbGen identity
		depthWrite
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/yotoon/clouds2.tga
		tcMod scale 4 4 
		tcMod scroll .025 0.0125
		blendfunc blend
	}

}

// PUKKA FOG

textures/yotoon/pukka_fog
{
	sort 1
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( .6 .65 .6 ) 10000
	
}

//--------- From dsi texture set by Evillair---------//

textures/yotoon/weapspawn01
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		clampmap textures/yotoon/weapspawn01.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 40
	}
	{
		map textures/yotoon/weapspawn01.blend.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/yotoon/weapspawn01_decal
{
	qer_editorimage textures/yotoon/weapspawn01.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	polygonOffset
	q3map_bounceScale 0
	surfaceparm detail
	nopicmip
	{
		clampmap textures/yotoon/weapspawn01.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 40
	}
	{
		map textures/yotoon/weapspawn01.blend.tga
		blendfunc add
		rgbGen Vertex
	}
}


//--------- From Evil8 texture set by Evillair---------//

textures/yotoon/e8circle_red_fade
{
	qer_editorimage textures/yotoon/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
        cull disable
	{
		map textures/yotoon/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/yotoon/e8circle_red_fade_decal
{
	qer_editorimage textures/yotoon/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0
	surfaceparm detail
        cull disable
	{
		map textures/yotoon/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/yotoon/e8circle_red_decal
{
	qer_editorimage textures/yotoon/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0
	surfaceparm detail
        cull disable
	{
		map textures/yotoon/e8circle_red.tga
		blendfunc add
	}
}

textures/yotoon/e8circle_yel_fade
{
	qer_editorimage textures/yotoon/e8circle_yel.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
        cull disable
	{
		map textures/yotoon/e8circle_yel.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/yotoon/e8circle_yel_fade_decal
{
	qer_editorimage textures/yotoon/e8circle_yel.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0
	surfaceparm detail
        cull disable
	{
		map textures/yotoon/e8circle_yel.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}
	
	textures/yotoon/e8circle_yel_decal
{
	qer_editorimage textures/yotoon/e8circle_yel.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0
	surfaceparm detail
        cull disable
	{
		map textures/yotoon/e8circle_yel.tga
		blendfunc add
	}
}

// CRYSTAL
textures/yotoon/crystal_blue
{
	qer_editorimage textures/yotoon/crystal_blue.jpg
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	qer_trans 0.5
	q3map_surfacelight 80
	{
		map textures/effects/envmapblue.jpg
		blendfunc add
		rgbGen const ( 0.564706 0.564706 0.564706 )
		tcMod scale 1.5 1.5
		tcGen environment 
	}
	{
		map textures/yotoon/mirror.jpg
		blendfunc add
		rgbGen const ( 0.243137 0.243137 0.243137 )
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}
